Go to the latest version of this document.

# ``twisted`.`internet`.`endpoints`.`TCP6ClientEndpoint``

class documentation

`class TCP6ClientEndpoint: (source)`

Constructor: `TCP6ClientEndpoint(reactor, host, port, timeout, bindAddress)`

Implements interfaces: `twisted.internet.interfaces.IStreamClientEndpoint`

View In Hierarchy

TCP client endpoint with an IPv6 configuration.

Method | `__init__` | No summary
Method | `connect` | Implement `IStreamClientEndpoint.connect` to connect via TCP, once the hostname resolution is done.
Method | `_nameResolution` | Resolve the hostname string into a tuple containing the host IPv6 address.
Method | `_resolvedHostConnect` | Connect to the server using the resolved hostname.
Constant | `_GAI_ADDRESS` | Index of the address portion in result of getaddrinfo to be used.
Constant | `_GAI_ADDRESS_HOST` | Index of the actual host-address in the 5-tuple `_GAI_ADDRESS`.
Instance Variable | `_bindAddress` | Undocumented
Instance Variable | `_deferToThread` | A hook used for testing deferToThread.
Instance Variable | `_getaddrinfo` | A hook used for testing name resolution.
Instance Variable | `_host` | Undocumented
Instance Variable | `_port` | Undocumented
Instance Variable | `_reactor` | Undocumented
Instance Variable | `_timeout` | Undocumented

def __init__(self, reactor, host, port, timeout=30, bindAddress=None): (source)

Parameters
reactor | Undocumented
host | An IPv6 address literal or a hostname with an IPv6 address
port | Undocumented
timeout | Undocumented
bindAddress | Undocumented

See Also
`twisted.internet.interfaces.IReactorTCP.connectTCP`

def connect(self, protocolFactory): (source)
from `twisted.internet.interfaces.IStreamClientEndpoint`

Implement `IStreamClientEndpoint.connect` to connect via TCP, once the hostname resolution is done.

def _nameResolution(self, host): (source)

Resolve the hostname string into a tuple containing the host IPv6 address.

def _resolvedHostConnect(self, resolvedHost: `str`, protocolFactory: `IProtocolFactory`) -> `Deferred[IProtocol]`: (source)

Connect to the server using the resolved hostname.

_GAI_ADDRESS: `int` = (source)

Index of the address portion in result of getaddrinfo to be used.

Value

    4

_GAI_ADDRESS_HOST: `int` = (source)

Index of the actual host-address in the 5-tuple `_GAI_ADDRESS`.

Value

    0

_bindAddress = (source)

Undocumented

_deferToThread: `ClassVar[_DeferToThreadFunction]` = (source)

A hook used for testing deferToThread.

_getaddrinfo = (source)

A hook used for testing name resolution.

_host = (source)

Undocumented

_port = (source)

Undocumented

_reactor = (source)

Undocumented

_timeout = (source)

Undocumented